NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.SheetMetal.ContourFlangeBuilder Class Reference

Represents a Contour Flange feature builder. More...

Inheritance diagram for NXOpen.Features.SheetMetal.ContourFlangeBuilder:
NXOpen.Features.SheetMetal.SheetmetalBaseBuilder NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  SectionSideOptions { Left, Right }
 This enum represents the side of the section in which material is created. More...
 
enum  SweepSideOptions { SectionNormalSide, SectionReverseNormalSide }
 This enum represents the side in which the contour flange will be swept. More...
 
enum  SweepTypeOptions { Finite, Symmetric, ToEnd, Chain }
 This enum represents the sweep type of the contour flange More...
 

Public Member Functions

unsafe NXOpen.Expression GetSweepDistance ()
 THE projection distance of contour flange More...
 
unsafe NXOpen.Expression GetThickness ()
 THE thickness of contour flange More...
 
unsafe void SetSweepDistance (string sweepDistance)
  More...
 
unsafe void SetThickness (string thickness)
  More...
 
unsafe int ValidateBuilderData ()
 Verify whether the builder data is valid for creating a Contour Flange or not. More...
 
- Public Member Functions inherited from NXOpen.Features.SheetMetal.SheetmetalBaseBuilder
unsafe
NXOpen.Features.SheetMetal.ApplicationContext 
GetApplicationContext ()
 Get the application context. More...
 
unsafe void SetApplicationContext (NXOpen.Features.SheetMetal.ApplicationContext appContext)
 Set the application context. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.Features.SheetMetal.BendOptions 
BendOptions [get]
 Returns the bend options More...
 
unsafe NXOpen.Section EdgeChain [get, set]
 Returns or sets the section having chain edges. More...
 
unsafe bool IsSecondary [get, set]
 Returns or sets the contour flange type. More...
 
unsafe
NXOpen.Features.SheetMetal.MiterOptions 
MiterOptions [get]
 Returns the miter options More...
 
unsafe NXOpen.Section Section [get, set]
 Returns or sets the section of contour flange More...
 
unsafe
NXOpen.Features.SketchFeature 
Sketch [get, set]
 Returns or sets the sketch More...
 
unsafe
NXOpen.Features.SheetMetal.ContourFlangeBuilder.SweepSideOptions 
SweepSide [get, set]
 Returns or sets the projection direction of contour flange More...
 
unsafe
NXOpen.Features.SheetMetal.ContourFlangeBuilder.SweepTypeOptions 
SweepType [get, set]
 Returns or sets the projection side of contour flange More...
 
unsafe
NXOpen.Features.SheetMetal.ContourFlangeBuilder.SectionSideOptions 
ThicknessSide [get, set]
 Returns or sets the thickness side of contour flange More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Contour Flange feature builder.

To create a new instance of this class, use NXOpen.Features.SheetMetal.SheetmetalManager.CreateContourFlangeFeatureBuilder

Created in NX4.0.0

Member Enumeration Documentation

This enum represents the side of the section in which material is created.

The "left" option represents the side to the left of a person who is walking along the section in the direction of its curves when the section normal is pointing up. The "right" option represents the person's right hand side. This interpretation is the same regardless of whether the section is open or closed. The "right" side at any point along the section can also be represented by the vector resulting from the cross product of the curve tangent (of the section curve at that point) and the section normal. The "left" side is the opposite.

Enumerator
Left 
Right 

This enum represents the side in which the contour flange will be swept.

Enumerator
SectionNormalSide 
SectionReverseNormalSide 

This enum represents the sweep type of the contour flange

Enumerator
Finite 
Symmetric 
ToEnd 
Chain 

Member Function Documentation

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.ContourFlangeBuilder.GetSweepDistance ( )
inline

THE projection distance of contour flange

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Returns
unsafe NXOpen.Expression NXOpen.Features.SheetMetal.ContourFlangeBuilder.GetThickness ( )
inline

THE thickness of contour flange

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Returns
unsafe void NXOpen.Features.SheetMetal.ContourFlangeBuilder.SetSweepDistance ( string  sweepDistance)
inline

Created in NX4.0.0

Deprecated in NX10.0.0. Use Expression.RightHandSide on the Expression object returned from Features.SheetMetal.ContourFlangeBuilder.GetSweepDistance instead.

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
sweepDistance
unsafe void NXOpen.Features.SheetMetal.ContourFlangeBuilder.SetThickness ( string  thickness)
inline

Created in NX4.0.0

Deprecated in NX10.0.0. Use Expression.RightHandSide on the Expression object returned from Features.SheetMetal.ContourFlangeBuilder.GetThickness instead.

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
thickness
unsafe int NXOpen.Features.SheetMetal.ContourFlangeBuilder.ValidateBuilderData ( )
inline

Verify whether the builder data is valid for creating a Contour Flange or not.

If the Builder data is valid, returned value shall be 0

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Returns
Data Validity Flag.

Property Documentation

unsafe NXOpen.Features.SheetMetal.BendOptions NXOpen.Features.SheetMetal.ContourFlangeBuilder.BendOptions
get

Returns the bend options

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Section NXOpen.Features.SheetMetal.ContourFlangeBuilder.EdgeChain
getset

Returns or sets the section having chain edges.

Created in NX5.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe bool NXOpen.Features.SheetMetal.ContourFlangeBuilder.IsSecondary
getset

Returns or sets the contour flange type.

Created in NX5.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Features.SheetMetal.MiterOptions NXOpen.Features.SheetMetal.ContourFlangeBuilder.MiterOptions
get

Returns the miter options

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Section NXOpen.Features.SheetMetal.ContourFlangeBuilder.Section
getset

Returns or sets the section of contour flange

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Features.SketchFeature NXOpen.Features.SheetMetal.ContourFlangeBuilder.Sketch
getset

Returns or sets the sketch

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Features.SheetMetal.ContourFlangeBuilder.SweepSideOptions NXOpen.Features.SheetMetal.ContourFlangeBuilder.SweepSide
getset

Returns or sets the projection direction of contour flange

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Features.SheetMetal.ContourFlangeBuilder.SweepTypeOptions NXOpen.Features.SheetMetal.ContourFlangeBuilder.SweepType
getset

Returns or sets the projection side of contour flange

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Features.SheetMetal.ContourFlangeBuilder.SectionSideOptions NXOpen.Features.SheetMetal.ContourFlangeBuilder.ThicknessSide
getset

Returns or sets the thickness side of contour flange

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.